Results 1 to 2 of 2

Thread: Problems with patch updates on 11.0

  1. #1
    Join Date
    Jun 2008
    Location
    /dev/belgium
    Posts
    1,946

    Default Problems with patch updates on 11.0

    Hi,

    I usually don't post here asking questions as I can handle SUSE pretty well. However, today there were a few updates available, some related to kdebase3 and some to mysql. I thought, "fine, I'll just install them like I do". I didn't expect any problems but I got them. Here's what I did so far.

    zypper ref && zypper up

    this showed some updates for kdebase3 and libmysql. After letting zypper do its work, it halfway aborted saying that it couldn't find the mysql updates on the update server. I found this a bit odd so I went to the update server and manually checked to see if these packages where there, and guess what? they were.

    After running zypper multiple times and every time typing 'r' for retry, it finally "got" them from the server and installed the mysql stuff.

    I ran zypper again to install the kde3 related patches, but to my surprise it does absolutely nothing. Refreshing the repos does nothing either. There's a patch called "fileshareset" and has a summary of "kdebase3: Collective update". This patch is supposed to update the following packages.

    fileshareset
    kdebase3
    kdebase3-devel
    kdebase3-kdm
    kdebase3-nsplugin
    kdebase3-runtime
    kdebase3-samba
    kdebase3-session
    misc-console-font

    I tried forcing the update in Yast online update module, but again nothing happens. I also re-installed all of the above packages in the hope that the problem will go away, but again zypper and the update applet in the panel always show that the "fileshareset" patch is available for download.

    Any ideas on how to fix that?

  2. #2
    Join Date
    Jun 2008
    Location
    Rio de Janeiro
    Posts
    100

    Default Re: Problems with patch updates on 11.0

    Hello microchip8,
    I get the same problem here and after googling here and there I found this solution that works:


    Posted: Sun Dec 07, 2008 3:25 am
    Post subject: Re: fileshareset kdebase3: Collective update recommended

    Claude Hopper schreef:
    > Why do I keep getting this update that won't install and has 50 thousand
    > dependency problems. I have all the latest kde3 files.
    >
    >
    The problem is not with kde3 files but with kde4

    for me the sollution was to downgrade kdebase4-session from version
    4.1.3-25.1 to 4.0.4-6.1
    I found this sollution in /var/log/zypper.log

    after this downgrade, i could update fileshareset.

    gr. Ian




    Marco Calistri (amdturion)
    opensuse 12.1 (Aspargus) - Kernel 3.1.10-1.9-desktop x86_64 Gnome 3.2.1
    Intel® Core™ i5-2410M CPU @ 2.30GHz × 4 - Intel® Sandybridge Mobile

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •